import { default as PropTypes } from 'prop-types';
/**
 * footer 中的 links (支持分组, 最多支持 2 级)
 */
declare function Links({ links, flowLayout, minColumns, maxColumns, ...rest }: {
    [x: string]: any;
    links?: never[] | undefined;
    flowLayout?: boolean | undefined;
    minColumns?: number | undefined;
    maxColumns?: number | undefined;
}): import("react/jsx-runtime").JSX.Element | null;
declare namespace Links {
    namespace propTypes {
        let links: PropTypes.Requireable<(PropTypes.InferProps<{
            label: PropTypes.Requireable<string>;
            link: PropTypes.Requireable<string>;
            render: PropTypes.Requireable<(...args: any[]) => any>;
            props: PropTypes.Requireable<object>;
        }> | null | undefined)[]>;
        let flowLayout: PropTypes.Requireable<boolean>;
        let minColumns: PropTypes.Requireable<number>;
        let maxColumns: PropTypes.Requireable<number>;
    }
}
export default Links;
